local plugins = {
	{ "nvim-lua/plenary.nvim" },
	{ "neovim/nvim-lspconfig" },
	{ "Snyssfx/goerr-nvim" },
	{
		"lukas-reineke/indent-blankline.nvim",
		main = "ibl",
		--@module "ibl"
		--@type ibl.config
		config = true,
	},
	{
		"lukas-reineke/headlines.nvim",
		dependencies = "nvim-treesitter/nvim-treesitter",
		config = true,
	},
	{
		"mfussenegger/nvim-dap",
	},
	{
		"ray-x/lsp_signature.nvim",
		event = "VeryLazy",
		config = true,
	},
	require("plugins.cmp"),
	require("plugins.onedark"),
	require("plugins.treesitter"),
	require("plugins.tree"),
	require("plugins.conform"),
	require("plugins.dapui"),
	require("plugins.dap"),
	require("plugins.go"),
	require("plugins.goimpl"),
	require("plugins.lualine"),
	require("plugins.telescope"),
	require("plugins.columns"),
}

require("lazy").setup(plugins, {
	performance = {
		rtp = {
			disabled_plugins = {
				"gzip",
				"matchit",
				"matchparen",
				"netrwPlugin",
				"tarPlugin",
				"tohtml",
				"tutor",
				"zipPlugin",
			},
		},
	},
})
