return {
	"nvim-treesitter/nvim-treesitter",
	build = ":TSUpdate",
	opts = {
		highlight = { enable = true },
		ensure_installed = {
			"c",
			"lua",
			"python",
			"bash",
			"go",
			"html",
			"css",
			"javascript",
			"typescript",
			"git_config",
			"git_rebase",
			"gitattributes",
			"gitcommit",
			"gitignore",
			"gomod",
			"gosum",
			"gotmpl",
			"gowork",
			"hjson",
			"ini",
			"json",
			"json5",
			"jsonnet",
			"latex",
			"make",
			"markdown",
			"markdown_inline",
			"nginx",
			"proto",
			"rust",
			"templ",
			"todotxt",
			"toml",
			"tsx",
			"typescript",
			"vim",
			"vimdoc",
			"xml",
			"yaml",
			"sql",
			"ssh_config",
		},
		ignore_install = { "gdhsader", "phpdoc" },
		indent = { enable = true },
		auto_install = true,
		sync_install = false,
		textobjects = { select = { enable = true, lookahead = true } },
	},
	dependencies = {
		{ "nvim-treesitter/nvim-treesitter-textobjects" },
		{
			"nvim-treesitter/nvim-treesitter-context",
			opts = {
				enable = true,
				mode = "topline",
				line_numbers = true,
			},
		},
	},
}
